package com.rv.share.utils;
import android.graphics.Bitmap;
import android.view.ViewGroup;
import android.widget.ImageView;
import com.bumptech.glide.request.target.ImageViewTarget;

public class TransformationUtils10 extends ImageViewTarget<Bitmap> {

    private int width;
    private int height;
    private ImageView target;

    public TransformationUtils10(ImageView target, int width, int height) {
        super(target);
        this.target = target;
        this.width = width;
        this.height = height;
    }

    @Override
    protected void setResource(Bitmap resource) {
        target.setImageBitmap(resource);

        if (resource == null) return;
        //获取原图的宽高
//        int width = resource.getWidth();
//        int height = resource.getHeight();

        //获取imageView的宽
        int imageViewWidth = target.getWidth();

        //计算缩放比例
        float sy = (float) (imageViewWidth * 0.1) / (float) (width * 0.1);

        //计算图片等比例放大后的高
        int imageViewHeight = (int) (height * sy);
        ViewGroup.LayoutParams params = target.getLayoutParams();
        params.height = imageViewHeight;
        target.setLayoutParams(params);
    }
}